
Foreman - Feature #32899

Tracker # 32903 (New): Rethinking React-Redux folder structure

Add Redux toolkit 

06/28/2021 02:53 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8657

  

Description

Redux toolkit provides great tools and reduces boilerplate,

which we need in order to achieve better conventions: 

https://community.theforeman.org/t/rethinking-react-redux-folder-structure/24183

Associated revisions

Revision 1291288b - 07/28/2021 02:31 PM - Tomer Brisker

Fixes #33003 - Refactor FactChart to use slice pattern (#8657)

Fixes #33003, #32899 - Refactor FactChart to use slice pattern

Following the discussion in

https://community.theforeman.org/t/rethinking-react-redux-folder-structure/24183

to use the slice pattern, updating this POC into actual changes to match

the agreed structure.

History

#1 - 06/29/2021 06:40 AM - Ron Lavi

- Category set to JavaScript stack

- Parent task set to #32903

#2 - 07/13/2021 01:32 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/8657 added

#3 - 07/28/2021 02:31 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 07/28/2021 03:08 PM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1291288ba2ed47ad210a5131e4dd81b06a7f414e.
